<template>
    <FlexboxLayout flexDirection="column">
        <FlexboxLayout flexDirection="column" class="profile-info">
            <Label class="profile-name" :text="this.user.usr_firstName + ' ' + this.user.usr_lastName"/>
            <Label class="profile-email" :text="this.user.usr_mail"/>
        </FlexboxLayout>

        <FlexboxLayout class="menu">
            <FlexboxLayout flexDirection="column">
                <FlexboxLayout flexDirection="row"
                               @tap="onNavigationItemTap(Home)" class="menu-item">
                    <Image src="~/assets/images/search.png" class="menu-icon" stretch="fill"></Image>
                    <Label col="1" text="Rechercher" class="menu-text"/>
                </FlexboxLayout>

                <FlexboxLayout flexDirection="row"
                               @tap="onNavigationItemTap(Reservation)" class="menu-item">
                    <Image src="~/assets/images/booking.png" class="menu-icon" stretch="fill"></Image>
                    <Label col="1" text="Mes réservations" class="menu-text"/>
                </FlexboxLayout>

                <FlexboxLayout flexDirection="row"
                               @tap="onNavigationItemTap(Logements)" class="menu-item">
                    <Image src="~/assets/images/home.png" class="menu-icon" stretch="fill"></Image>
                    <Label col="1" text="Mes logements" class="menu-text"/>
                </FlexboxLayout>

            </FlexboxLayout>
        </FlexboxLayout>

        <AbsoluteLayout>
            <Button text="Me déconnecter" left="50" top="150" @tap="signOut()" class="my-button"/>
            <FlexboxLayout flexDirection="row" top="250" class="rs">
                <Image src="~/assets/images/facebook.png" @tap="facebook()" class="rs-icon" stretch="fill"></Image>
                <Image src="~/assets/images/instagram.png" class="rs-icon" stretch="fill"></Image>

            </FlexboxLayout>
        </AbsoluteLayout>
    </FlexboxLayout>
</template>

<script>
import {Http} from "@nativescript/core";
import {Couchbase} from 'nativescript-couchbase-plugin';
import { openUrl } from "tns-core-modules/utils/utils";

const database = new Couchbase('atp_base');

export default {
    data() {
        return {
            Home: this.$routes.Home,
            Reservation: this.$routes.Reservation,
            token: "",
            user: {},
            Logements: this.$routes.Logements,
        };
    },
    mounted() {
        let db = database.query({select: []})
        this.user = db[0].userStore
        this.token = db[0].userStore.refresh_token
    },
    methods: {
        facebook() {
            return openUrl('www.google.fr');
        },
        onNavigationItemTap(component) {
            this.$navigateTo(component);
        },
        async signOut() {
            const response = await Http.request({
                url: "https://api.atypikhouse.art/logout",
                method: "POST",
                headers: {
                    "Content-Type": "application/json",
                    "Access-Control-Allow-Origin": "*",
                },
                content: JSON.stringify({
                    usr_refresh_token: this.token
                }),
            })
            if (response.statusCode === 201) {
                alert("Vous êtes déconnecter !")
                let db = database.query({select: []})
                database.deleteDocument(db[0].id)
                this.$navigateTo(this.$routes.Login)
            }
        },
    }
};
</script>

<style scoped>

.profile-info {
    margin: 10;
}

.profile-name {
    text-align: left;
    font-size: 18px;
    color: #2d2d2d;
    margin-bottom: 5;
}

.profile-email {
    text-align: left;
    font-size: 18px;
    color: #2d2d2d;
}

.menu {
    margin: 10;
    width: 100%;
}

.menu-item {
    border-bottom-width: 1;
    border-bottom-color: #a1a1a1;
    padding-bottom: 15;
    padding-top: 15;
    width: 100%;
}

.menu-icon {
    margin-right: 10;
    width: 20;
    height: 20;
}

.menu-text {
    font-size: 16px;
    color: #2d2d2d;
}

.my-button {
    background-color: #339e33;
    color: white;
    border-radius: 10;
    padding: 5 15;
    text-transform: uppercase;
    letter-spacing: 0.1;
    margin: 50px 70px 20;
    font-size: 10;
}

.rs {
    justify-content: space-around;
    width: 50%;
    margin: 0 25%;
}

.rs-icon {
    width: 35;
    height: 35;
}

</style>
